PSVELO(GMTMANSECTION)

NAME
psvelo - Plot velocity vectors, crosses, and wedges on maps

SYNOPSIS
psvelo files -Jparameters -Rwest/east/south/north[r] [ -B[p|s]parameters ] [ -Dsigma_scale ] [ -Fcolor ] [ -Ecolor ] [ -Gfill ] [ -H[i][nrec] ] [ -K ] [ -L ] [ -N ] [ -O ] [ -P ] [ -Ssymbol/scale/conf/font_size ] [ -U[/dx/dy/][label] ] [ -V ] [ -Wpen ] [ -X[a|c|r][x-shift[u]] ] [ -X[a|c|r][y-shift[u]] ] [ -:[i|o] ] [ -ccopies ]

DESCRIPTION
psvelo reads data values from files [or standard input] and generates PostScript code that will plot velocity arrows on a map. Most options are the same as for psxy, except -S. The PostScript code is written to standard output. The previous version (psvelomeca) is now obsolete. It has been replaced by psvelo and psmeca.

ARGUMENTS
files List one or more file-names. If no files are given, psvelo will read standard input.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jjlon0/scale (Miller)
    -Jmscale (Mercator - Greenwich and Equator as origin)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Joalon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jqlon0/scale (Equidistant Cylindrical Projection (Plate Carree))
    -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
    -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jylon0/lats/scale (Basic Cylindrical Projection)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0/scale (Lambert)
    -Jelon0/lat0/scale (Equidistant)
    -Jflon0/lat0/horizon/scale (Gnomonic)
    -Jglon0/lat0/scale (Orthographic)
    -Jslon0/lat0/[slat/]scale (General Stereographic)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert)

    MISCELLANEOUS PROJECTIONS:

    -Jhlon0/scale (Hammer)
    -Jilon0/scale (Sinusoidal)
    -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
    -Jnlon0/scale (Robinson)
    -Jrlon0/scale (Winkel Tripel)
    -Jvlon0/scale (Van der Grinten)
    -Jwlon0/scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).

    -SSelects the meaning of the columns in the data file and the figure to be plotted.

-Sevelscale/confidence/fontsize.
    Velocity ellipses in (N,E) convention. Vscale sets the scaling of the velocity arrows. This scaling gives inches (unless c, i, m, or p is appended). Confidence sets the 2-dimensional confidence limit for the ellipse, e.g., 0.95 for 95% confidence ellipse. Fontsize sets the size of the text in points. The ellipse will be filled with the color or shade specified by the -G option [default transparent]. The arrow and the circumference of the ellipse will be drawn with the pen attributes specified by the -W option. Parameters are expected to be in the following columns:

1,2 longitude, latitude of station (-: option interchanges order)

3,4 eastward, northward velocity (-: option interchanges order)

5,6 uncertainty of eastward, northward velocities (1-sigma) (-: option interchanges order)

7   correlation between eastward and northward components

8   name of station (optional).

-Snbarscale.
    Anisotropy bars. Barscale sets the scaling of the bars This scaling gives inches (unless c, i, m, or p is appended). Parameters are expected to be in the following columns:

1,2 longitude, latitude of station (-: option interchanges order)

3,4 eastward, northward components of anisotropy vector (-: option interchanges order)

-Srvelscale/confidence/fontsize
    Velocity ellipses in rotated convention. Vscale sets the scaling of the velocity arrows. This scaling gives inches (unless c, i, m, or p is appended). Confidence sets the 2-dimensional confidence limit for the ellipse, e.g., 0.95 for 95% confidence ellipse. Fontsize sets the size of the text in points. The ellipse will be filled with the color or shade specified by the -G option [default transparent]. The arrow and the circumference of the ellipse will be drawn with the pen attributes specified by the -W option. Parameters are expected to be in the following columns:

1,2 longitude, latitude, of station (-: option interchanges order)

3,4 eastward, northward velocity (-: option interchanges order)

5,6 semi-major, semi-minor axes

7   counter-clockwise angle, in degrees, from horizontal axis to major axis of ellipse.

8   name of station (optional)

-Swwedge_scale/wedge_mag.
    Rotational wedges. Wedge_scale sets the size of the wedges in inches (unless c, i, m, or p is appended). Values are multiplied by Wedge_mag before plotting. For example, setting Wedge_mag to 1.e7 works well for rotations of the order of 100 nanoradians/yr. Use -G to set the fill color or shade for the wedge, and -E to set the color or shade for the uncertainty. Parameters are expected to be in the following columns:

1,2 longitude, latitude, of station (-: option interchanges order)

3   rotation in radians

4   rotation uncertainty in radians

-Sxcross_scale
    gives Strain crosses. Cross_scale sets the size of the cross in inches (unless c, i, m, or p is appended). Parameters are expected to be in the following columns:

1,2 longitude, latitude, of station (-: option interchanges order)

3   eps1, the most extensional eigenvalue of strain tensor, with extension taken positive.

4   eps2, the most compressional eigenvalue of strain tensor, with extension taken positive.

5   azimuth of eps2 in degrees CW from North.

OPTIONS
No space between the option flag and the associated arguments.

-A  Arrow_width/Head_length/Head_width Size of arrow in inches. [Default is 0.03/0.12/0.09].

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-C  Offset focal mechanisms to the latitude and longitude specified in the last two columns of the input file.

-D  Sigma_scale can be used to rescale the uncertainties of velocities (-Se and -Sr) and rotations (-Sw). Can be combined with the confidence variable.

-Ffill
    Sets the color or shade used for frame and annotation. [Default is 0/0/0 (black)]

-Efill
    Sets the color or shade used for filling uncertainty wedges (-Sw) or velocity error ellipses (-Se or -Sr). [If -E is not specified, the uncertainty regions will be transparent.]

-Gfill
    Select filling of ellipses, wedges, and focal mechanisms. By convention, the compressional quadrants of the focal mechanism beach balls are shaded. Set the shade (0-255) or color (r/g/b) [Default is 0/0/0]. Optionally, specify -Gpicon_size/pattern, where pattern gives the number of the image pattern (1-90) OR the name of a icon-format file. icon_size sets the unit size in inches. To invert black and white pixels, use -GP instead of -Gp. See pspatterns for information on individual patterns.

-H  Input file(s) has Header record(s). Number of header records can be changed by editing your .gmtdefaults4 file. If used, GMT default is 1 header record. Use -Hi if only input data should have header records [Default will write out header records if the input data have them].

-K  More PostScript code will be appended later [Default terminates the plot system].

-L  Draw lines. Ellipses and fault planes will have their outlines drawn using current pen (see -W).

-N  Do NOT skip symbols that fall outside the frame boundary specified by -R.
     [Default plots symbols inside frame only].

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-W  Set pen attributes for velocity arrows, ellipse circumference and fault plane edges.
     [Defaults: width = 1, color = 0/0/0, texture = solid].

-X -Y
    Shift origin of plot by (x-shift,y-shift), and opetionally append units (c, i, m, p). Prepend a for absolute coordinates; the default (r) will reset plot origin. Give c to center plot using current page size.

-:  Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES

The following should make big red arrows with green ellipses, outlined in red. Note that the 39% confidence scaling will give an ellipse which fits inside a rectangle of dimension Esig by Nsig.

psvelo << END -H2 -R-10/10/-10/10 -W1/255/0/0 .br -G0/255/0 -L -Se0.2/0.39/18 -B1g1 -Jx0.4/0.4 .br -A0.1/0.3/0.3 -P -V >! test.ps
  Long. Lat. Evel Nvel Esig Nsig CorEN SITE
  (deg) (deg) (mm/yr) (mm/yr)
   0. -8. 0.0 0.0 4.0 6.0 0.500 4x6
  -8. 5. 3.0 3.0 0.0 0.0 0.500 3x3
   0. 0. 4.0 6.0 4.0 6.0 0.500
  -5. -5. 6.0 4.0 6.0 4.0 0.500 6x4
   5. 0. -6.0 4.0 6.0 4.0 -0.500 -6x4
   0. -5. 6.0 -4.0 6.0 4.0 -0.500 6x-4
END
This example should plot some residual rates of rotation in the Western Transverse Ranges, California. The wedges will be dark gray, with light gray wedges to represent the 2-sigma uncertainties.

psvelo <<END -Sw0.4/1.e7 -W3 -G60 -E210 -H1 -D2 .br -Jm2.2 -R240./243./32.5/34.75 -Bf10ma60m/WeSn -P >! test.ps
 lon lat spin(rad/yr) spin_sigma (rad/yr)
241.4806 34.2073 5.65E-08 1.17E-08
241.6024 34.4468 -4.85E-08 1.85E-08
241.0952 34.4079 4.46E-09 3.07E-08
241.2542 34.2581 1.28E-07 1.59E-08
242.0593 34.0773 -6.62E-08 1.74E-08
241.0553 34.5369 -2.38E-07 4.27E-08
241.1993 33.1894 -2.99E-10 7.64E-09
241.1084 34.2565 2.17E-08 3.53E-08
END

SEE ALSO
GMT(GMTMANSECTION), psbasemap(GMTMANSECTION), psxy(GMTMANSECTION)

REFERENCES
Bomford, G., Geodesy, 4th ed., Oxford University Press, 1980.

AUTHORS
Kurt Feigl
CNRS UMR 5562
Toulouse, France
(Kurt.Feigl@.cnes.fr)
Genevieve Patau
CNRS UMR 7580
Seismology Dept.
Institut de Physique du Globe de Paris
(patau@ipgp.jussieu.fr)